Package org.gradle.workers

## Interface ClassLoaderWorkerSpec

- All Superinterfaces:
    `WorkerSpec`
  All Known Subinterfaces:
    `ProcessWorkerSpec`

      @Incubating
      public interface ClassLoaderWorkerSpec
      extends WorkerSpec

  A worker spec providing the requirements of an isolated classpath.
  Since:
    5.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigurableFileCollection` | `getClasspath()` | Gets the classpath associated with the worker.

- - ### Method Detail

    - #### getClasspath

          ConfigurableFileCollection getClasspath()

      Gets the classpath associated with the worker.
      Returns:
        the classpath associated with the worker